/* iomd.h.vctl */

#ifndef _def__VCTL
#define _def__VCTL

/* Definitions for the FAST state machine */
#define STATE_A 0x9
#define STATE_B 0xA
#define STATE_C 0xB
#define STATE_D 0x8
#define STATE_E 0xF
#define STATE_F 0xE
#define STATE_W0 0x0
#define STATE_W1 0x1

/* Definitions for the SLOW state machine */
#define STATE_I 0x0
#define STATE_X 0x1
#define STATE_Y 0x2

/* Definitions for the Transfer request state machine */
#define STATE_IT 0x0
#define STATE_FF 0x1
#define STATE_S0 0x2
#define STATE_SP 0x3

extern void VCTL_declare(/* void */);

#endif
